﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinEditors;

namespace _87830
{
    class MyData:IEditorDataFilter
    {
        #region IEditorDataFilter Members

        public object Convert(EditorDataFilterConvertArgs conversionArgs)
        {
            object ret = conversionArgs.Value;
            if (!((UltraTextEditor)conversionArgs.Context).Focused && conversionArgs.Direction == ConversionDirection.EditorToDisplay)
            {
                double d = 0;
                if (double.TryParse(conversionArgs.Value.ToString(), out d))
                {
                    conversionArgs.Handled = true;
                    ret = d.ToString("#.00");
                }
            }
            return ret;
        }

        #endregion
    }
}
